#ifndef OPENTISSUE_MATH_CONSTANTS_H
#define OPENTISSUE_MATH_CONSTANTS_H
////////////////////////////////////////////////////////////////////////////////
//
// OpenTissue, A toolbox for physical based simulation and animation.
// Copyright (C) 2005 Department of Computer Science, University of Copenhagen
//
// This file is part of OpenTissue.
//
// OpenTissue is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation; either version 2.1 of the License, or
// any later version.
//
// OpenTissue is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with OpenTissue; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Please send remarks, questions and bug reports to OpenTissue@diku.dk,
// or write to:
//
//    Att: Kenny Erleben and Jon Sporring
//	  Department of Computing Science, University of Copenhagen
//    Universitetsparken 1
//    DK-2100 Copenhagen
//    Denmark
//
////////////////////////////////////////////////////////////////////////////////
#if (_MSC_VER >= 1200)
# pragma once
# pragma warning(default: 56 61 62 191 263 264 265 287 289 296 347 529 686)
#endif

#define OT_M_E        2.71828182845904523536
#define OT_M_LOG2E    1.44269504088896340736
#define OT_M_LOG10E   0.434294481903251827651
#define OT_M_LN2      0.693147180559945309417
#define OT_M_LN10     2.30258509299404568402
#define OT_M_PI       3.14159265358979323846
#define OT_M_PI_2     1.57079632679489661923
#define OT_M_PI_4     0.785398163397448309616
#define OT_M_1_PI     0.318309886183790671538
#define OT_M_2_PI     0.636619772367581343076
#define OT_M_2_SQRTPI 1.12837916709551257390
#define OT_M_SQRT2    1.41421356237309504880
#define OT_M_SQRT1_2  0.707106781186547524401


#define OT_M_DEGREE   0.017453292519943295769236907684886
#define OT_M_RADIAN   57.295779513082320876798154814105


//OPENTISSUE_MATH_CONSTANTS_H
#endif
